summaryrefslogtreecommitdiffstats
path: root/network/bitchx/bitchx.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/bitchx/bitchx.SlackBuild')
-rw-r--r--network/bitchx/bitchx.SlackBuild119
1 files changed, 119 insertions, 0 deletions
diff --git a/network/bitchx/bitchx.SlackBuild b/network/bitchx/bitchx.SlackBuild
new file mode 100644
index 0000000000..a8ecee895f
--- /dev/null
+++ b/network/bitchx/bitchx.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/bash
+
+# Slackware build script for bitchx
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20220315 bkw: the old BitchX was removed a few weeks ago because it
+# won't compile on Slackware 15.0. This build is for a fork that's a
+# lot more up to date. I asked the maintainer of the old package if he
+# was OK with me submitting a new bitchx, and he gave his blessing.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=bitchx
+VERSION=${VERSION:-1.2.1_2019}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM=BitchX
+SRCVER=${VERSION/_/-}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVER
+tar xvf $CWD/$SRCNAM-$SRCVER.tar.gz
+cd $SRCNAM-$SRCVER
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# 20220301 bkw: --docdir is unrecognized.
+# The SHLIB_LD and LDFLAGS build everything stripped.
+
+SHLIB_LD="gcc -shared -Wl,-s" \
+LDFLAGS="-Wl,-s" \
+CFLAGS="$SLKCFLAGS -fcommon" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --without-gtk \
+ --with-ssl \
+ --with-plugins \
+ --enable-ipv6 \
+ --enable-tcl \
+ --disable-sound \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# 20220302 bkw: man page is installed bzipped, works but it's weird.
+bunzip2 ${M:=$PKG/usr/man/man1/$SRCNAM.1}.bz2
+gzip -9 $M
+
+# 20220302 bkw: .desktop file by SlackBuild author. Sure, why not?
+mkdir -p ${A:=$PKG/usr/share/applications}
+cat $CWD/$SRCNAM.desktop > $A/$SRCNAM.desktop
+
+# 20220302 bkw: since we have a .desktop, we need icons.
+mkdir -p ${I:=$PKG/usr/share/icons/hicolor}/{32x32,64x64}/apps
+convert -background none -extent 64x64 -gravity center \
+ doc/misc/bitch52.xpm $I/64x64/apps/$SRCNAM.png
+convert -background none doc/$SRCNAM.xpm $I/32x32/apps/$SRCNAM.png
+
+mkdir -p ${P:=$PKG/usr/share/pixmaps}
+ln -s ../icons/hicolor/64x64/apps/$SRCNAM.png $P
+
+mkdir -p ${PKGDOC:=$PKG/usr/doc/$PRGNAM-$VERSION}
+rm -f doc/$SRCNAM.1 # man page installed elsewhere
+cp -a COPYRIGHT Changelog IPv6-support README doc $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE